Title   Common code to pciconf and pcibus.snp and wakeup.snp

;

                        Align 2
do_all_pci_functions_proc       dw 0
do_all_pci_devices_proc         dw 0
                        Public do_all_pci_functions_proc, do_all_pci_devices_proc

;

                        Align 4

pci_busnumber_used      db 0100h dup (false)
pci_busnumber_from      dw 0100h dup (0ffffh)
pci_busnumber_subordina db 0100h dup (0ffh)
                        Public pci_busnumber_used,pci_busnumber_from,pci_busnumber_subordina

;

current_header_Struc    Struc
  hdr_type              db ?    ; 0/1/2
  hdr_multifunction     db ?    ; 0/1
current_header_Struc    EndS

current_header          current_header_Struc <0,0>
                        Public current_header

;
IFNDEF NO_RESOURCE_CODE
IFDEF OS2

AdjHandleList label byte
                        dw 1                    ; cMaxHandles
  pci_search_adj_cHandle dw 0                   ; cHandle
                        ; AdjInfo[1]:
  pci_search_adj_hAdapter dd ?                  ; hAdapter
                        dw ?                    ; AdjIndex
                        Public AdjHandleList,pci_search_adj_cHandle,pci_search_adj_hAdapter

;
d_a_handlelist          dw 1000                 ; cMaxHandles
                        dw 0                    ; cHandles
                        dd 1000 dup (?)         ; Handles_array

NodeInfo                db MAX_RM_NODE_SIZE dup (?)
                        Public d_a_handlelist,NodeInfo

;

SearchKeyAll            db '*',0
                        Public SearchKeyAll

;
SearchPurpose_is_block  db false                ; false:search and remember size
                                                ; true :call Block*Range
Search_pci_addr         dw ?
Search_ResourceType_IO  db ?                    ; 0:Memory
                                                ; 1:I/O
Search_ResourceAddress  dd ?
Search_ResourceSize     dd ?
Search_ResourceSize_know_already db false
                        Public SearchPurpose_is_block,Search_pci_addr,Search_ResourceType_IO,
                        Public Search_ResourceSize,Search_ResourceSize,Search_ResourceSize_know_already

;

ENDIF ; OS2
ENDIF ; NO_RESOURCE_CODE
